Subject: bug#38735: 1.1.0rc2 available for testing!

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Wed, 15 Apr 2020 16:07:11 +0200

Robert,

Robert Smith 写道：
> I ran into the same issue that Jesse encountered in December, 
> the
> installer hangs when it tries to connect to wifi, and I can't 
> escape by
> pressing Alt-F2/F3/F12.

You need to press C-M-Fn to escape the kmscon, M- on its own won't 
do.

> In the end I just have to hold down the
> power button. I've tested this with different wifi networks and 
> it's
> always the same. I tried using the console to connect to wifi, 
> and
> everything worked smoothly. The only difference from the manual 
> was
> that I had to use `rfkill unblock wifi` before I could bring the
> interface up. I didn't have this issue when I first installed 
> guix, so
> I downloaded the 1.0.1 installer and as I thought the issue 
> wasn't
> there, and the wifi connection went smoothly.

I've run into this as well; there's an ugly patch of mine floating 
around that explicitly calls ‘rfkill’ on the interface even though 
Connman claims to do so automatically.

I'll dig up the 2-card machine that can reproduce this.

Kind regards,

T G-R